# List Alerts

`GET` `/v1/notify/reminders`

Get all price alerts for the current user, with optional filtering by symbol.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | No | Filter by security symbol, e.g. `TSLA.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/notify/reminders' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `lists` | object[] | No | Alert groups per security |
| `└ symbol` | string | No | Security symbol |
| `└ chg` | string | No | Day change amount |
| `└ price` | string | No | Latest price |
| `└ p_chg` | string | No | Day change percentage |
| `└ name` | string | No | Security name. |
| `└ market` | string | No | Market |
| `└ code` | string | No | Ticker code |
| `└ indicators` | object[] | No | Alert indicators |
| `└ ∟ id` | string | No | Alert ID |
| `└ ∟ indicator_id` | string | No | Condition: `1`=price_rise, `2`=price_fall, `3`=pct_rise, `4`=pct_fall |
| `└ ∟ frequency` | integer | No | Frequency: `1`=daily, `2`=every_time, `3`=once |
| `└ ∟ enabled` | boolean | No | Whether the alert is active |
| `└ ∟ text` | string | No | Display text |
| `└ ∟ scope` | integer | No | Scope |
| `└ ∟ value_map` | object | No | Trigger value (e.g. `{"price":"400"}` or `{"chg":"5"}`) |
| `└ ∟ ∟ price` | string | No | Latest price |
| `└ ∟ state` | array | No | Trigger state flags |
| `└ product` | string | No | Product type |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "lists": [
      {
        "symbol": "AAPL.US",
        "code": "AAPL",
        "market": "US",
        "name": "Apple",
        "price": "298.87",
        "chg": "4.07",
        "p_chg": "1.38",
        "product": "stock",
        "indicators": [
          {
            "id": "514050",
            "indicator_id": "1",
            "enabled": true,
            "frequency": 2,
            "scope": 0,
            "text": "Price rises to 400",
            "state": [
              1
            ],
            "value_map": {
              "price": "400"
            }
          }
        ]
      }
    ]
  }
}
```
